- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# TAO_POA_Policy_Set Class Reference

`#include <POA_Policy_Set.h>`

Collaboration diagram for TAO_POA_Policy_Set:

[legend]
List of all members.

## Public Member Functions
| TAO_POA_Policy_Set (void)
| TAO_POA_Policy_Set (const TAO_POA_Policy_Set &rhs)
| ~TAO_POA_Policy_Set (void)
CORBA::Policy * | get_policy_by_index (CORBA::ULong index)
CORBA::ULong | num_policies (void) const
| Get the number of policies.
CORBA::Policy_ptr | get_cached_policy (TAO_Cached_Policy_Type type)
| Obtain a single cached policy.
void | merge_policies (const CORBA::PolicyList &policies)
void | merge_policy (const CORBA::Policy_ptr policy)
void | validate_policies (TAO_Policy_Validator &validator, TAO_ORB_Core &orb_core)
void | add_client_exposed_fixed_policies (CORBA::PolicyList *client_exposed_policies)
| Add all of the client exposed policies to the specified list.
TAO_Policy_Set & | policies (void)
CORBA::Policy_ptr | get_policy (CORBA::PolicyType policy)
| Obtain a single policy.
## Protected Attributes
TAO_Policy_Set | impl_

## Constructor & Destructor Documentation

TAO_BEGIN_VERSIONED_NAMESPACE_DECL TAO_POA_Policy_Set::TAO_POA_Policy_Set | ( | void |  | ) |

TAO_POA_Policy_Set::TAO_POA_Policy_Set | ( | const TAO_POA_Policy_Set & | rhs | ) |

TAO_POA_Policy_Set::~TAO_POA_Policy_Set | ( | void |  | ) |

## Member Function Documentation

void TAO_POA_Policy_Set::add_client_exposed_fixed_policies | ( | CORBA::PolicyList * | client_exposed_policies | ) |

Add all of the client exposed policies to the specified list.

ACE_INLINE CORBA::Policy_ptr TAO_POA_Policy_Set::get_cached_policy | ( | TAO_Cached_Policy_Type | type | ) |

Obtain a single cached policy.

ACE_INLINE CORBA::Policy_ptr TAO_POA_Policy_Set::get_policy | ( | CORBA::PolicyType | policy | ) |

Obtain a single policy.

ACE_INLINE CORBA::Policy * TAO_POA_Policy_Set::get_policy_by_index | ( | CORBA::ULong | index | ) |

Returns the policy at the specified index. CORBA::Policy::_nil () is returned if the policy doesn't exist

void TAO_POA_Policy_Set::merge_policies | ( | const CORBA::PolicyList & | policies | ) |

ACE_INLINE void TAO_POA_Policy_Set::merge_policy | ( | const CORBA::Policy_ptr | policy | ) |

TAO_BEGIN_VERSIONED_NAMESPACE_DECL ACE_INLINE CORBA::ULong TAO_POA_Policy_Set::num_policies | ( | void |  | ) | const

Get the number of policies.

ACE_INLINE TAO_Policy_Set & TAO_POA_Policy_Set::policies | ( | void |  | ) |

void TAO_POA_Policy_Set::validate_policies | ( | TAO_Policy_Validator & | validator,
|  | TAO_ORB_Core & | orb_core |
| ) |  |  |

## Member Data Documentation

TAO_Policy_Set TAO_POA_Policy_Set::impl_`[protected]`

The documentation for this class was generated from the following files:

- POA_Policy_Set.h
- POA_Policy_Set.cpp
- POA_Policy_Set.i